#pragma once

#include <glm/glm.hpp>

#include "cube.h"
class CubeInvis :
	public Cube
{
public:
	CubeInvis(glm::vec3 _position);
	~CubeInvis(void);

	virtual void update(float deltaT);
	virtual void draw(RENDERTYPE mode, bool transparencyEnabled);

protected:
	bool isFading;
	float rateOfInvis;

	const float fadingSpeed;
};

