#pragma once

#include <gl/glew.h>
#include <glfw/glfw3.h>
#include <glm/glm.hpp>
#include <iostream>
#include <glm\gtx\vector_angle.hpp>
#include <glm/gtc/matrix_transform.hpp>

#include "../SceneObject.h"
#include "../Shader.h"

class Plane :
	public SceneObject
{
public:
	Plane(glm::vec3 position);
	~Plane(void);

	virtual void update(double deltaT);
	virtual void draw(RENDERTYPE mode);

private:
	Shader * glowShader;
};

