#pragma once

#include <gl/glew.h>
#include <glfw/glfw3.h>
#include <glm/glm.hpp>
#include <glm/gtc/matrix_transform.hpp>
#include <glm\gtx\vector_angle.hpp>

#include "../SceneObject.h"
#include "../Shader.h"
#include "../../GameEngine/SoundManager.h"

class Cube :
	public SceneObject
{
public:
	Cube(glm::vec3 _position);
	~Cube(void);

	virtual void draw(RENDERTYPE mode);
	virtual void update(float deltaT);

	void setPositionHero(glm::vec3 posHero);
	bool isDead();

protected:
	glm::vec3 positionHero;
	bool dead;
};

