#pragma once

#include <gl/glew.h>
#include <glfw/glfw3.h>
#include <glm/glm.hpp>
#include <iostream>
#include <glm\gtx\vector_angle.hpp>
#include <glm/gtc/matrix_transform.hpp>

#include "../SceneObject.h"
#include "../Shader.h"
#include "../../GameEngine/SoundManager.h"

#define TURN_RATE 30.0f

class Propeller :
	public SceneObject
{
public:
	Propeller(glm::vec3 _position);
	virtual ~Propeller(void);

	void virtual update(GLdouble deltaT);
	void virtual update(glm::mat4 modelMat, GLdouble deltaT);
	void virtual draw(RENDERTYPE mode);
private:
	float rotation;
};

