#include "World.h"

World::World(void)
{
}


World::~World(void)
{
}

void World::draw(int mode)
{
	if(mode==0)
	{
		//depthShader
	}
	else if(mode==1) {
		//basicShader
		for(std::vector<Cube *>::iterator it = cubes.begin(); it != cubes.end(); ++it){
			(*it)->draw(mode);
		}
	}
}

void World::update(float deltaT)
{
	for(std::vector<Cube *>::iterator it = cubes.begin(); it != cubes.end(); ++it){
		(*it)->update(deltaT);
	}
}

void World::addCube(Cube *cube)
{
	cubes.push_back(cube);
}
