#pragma once

#include <vector>

#include "Cube.h"

class World
{
public:
	World(void);
	~World(void);

	void init(void);
	void addCube(Cube *cube);

	void draw(int mode);
	void update(float deltaT);

private:
	std::vector<Cube *> cubes;
};

