#version 330 core

in vec3 position;
in vec3 normal;
in vec2 uv;

uniform mat4 modelMatrix;
uniform mat4 projectionMatrix;
uniform mat4 viewMatrix;
uniform vec3 camPosition;
uniform vec3 light;

//Debug
//uniform vec3 lightDebug;
/*
out vec3 fnormal;
out vec3 toCamera;
out vec2 texCoord;*/

out vec3 fposition;
out vec3 lightPosition;

//Debug
//out vec3 lightPositionDebug;

void main()
{
	//lightPosition = light;

	//fposition = (modelMatrix * vec4(position,1)).xyz;

	gl_Position = viewMatrix * modelMatrix * vec4(position,1);
}